glibmm: Gio::SocketAddressEnumerator Class Reference

glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gio::SocketAddressEnumerator Class Reference
Portable Network I/O Functionality

Enumerator type for objects that contain or generate SocketAddresses. More...

`#include <giomm/socketaddressenumerator.h>`

Inheritance diagram for Gio::SocketAddressEnumerator:
[legend]

## Public Member Functions
virtual | ~SocketAddressEnumerator ()
GSocketAddressEnumerator* | gobj ()
| Provides access to the underlying C GObject.
const GSocketAddressEnumerator* | gobj () const
| Provides access to the underlying C GObject.
GSocketAddressEnumerator* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< SocketAddress > | next (const Glib::RefPtr< Cancellable >& cancellable)
| Retrieves the next SocketAddress from enumerator.
Glib::RefPtr< SocketAddress > | next ()
| A next() convenience overload.
void | next_async (const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
| Asynchronously retrieves the next SocketAddress from the enumerator and then calls slot, which must call next_finish() to get the result.
void | next_async (const SlotAsyncReady& slot)
| Asynchronously retrieves the next SocketAddress from the enumerator and then calls slot, which must call next_finish() to get the result.
Glib::RefPtr< SocketAddress > | next_finish (const Glib::RefPtr< AsyncResult >& result)
| Retrieves the result of a completed call to g_socket_address_enumerator_next_async().
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::SocketAddressEnumerator > | wrap (GSocketAddressEnumerator* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()

## Detailed Description

Enumerator type for objects that contain or generate SocketAddresses.

Since glibmm 2.24:

## Constructor & Destructor Documentation

virtual Gio::SocketAddressEnumerator::~SocketAddressEnumerator | ( |  | ) |
| virtual

## Member Function Documentation

static GType Gio::SocketAddressEnumerator::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next | ( | const Glib::RefPtr< Cancellable >& | cancellable | ) |

Retrieves the next SocketAddress from enumerator.

Note that this may block for some amount of time. (Eg, a NetworkAddress may need to do a DNS lookup before it can return an address.) Use g_socket_address_enumerator_next_async() if you need to avoid blocking.

If enumerator is expected to yield addresses, but for some reason is unable to (eg, because of a DNS error), then the first call to g_socket_address_enumerator_next() will return an appropriate error in * error. However, if the first call to g_socket_address_enumerator_next() succeeds, then any further internal errors (other than cancellable being triggered) will be ignored.

Parameters

  cancellable | Optional Cancellable object, `0` to ignore.

Returns
  A SocketAddress (owned by the caller), or `0` on error (in which case* error will be set) or if there are no more addresses.

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next | ( |  | ) |

A next() convenience overload.

void Gio::SocketAddressEnumerator::next_async | ( | const Glib::RefPtr< Cancellable >& | cancellable,
|  | const SlotAsyncReady& | slot
| ) |  |

Asynchronously retrieves the next SocketAddress from the enumerator and then calls slot, which must call next_finish() to get the result.

Parameters

  cancellable | A Cancellable object which can be used to cancel the operation.
  slot | A callback slot to call after the resolution completes.

void Gio::SocketAddressEnumerator::next_async | ( | const SlotAsyncReady& | slot | ) |

Asynchronously retrieves the next SocketAddress from the enumerator and then calls slot, which must call next_finish() to get the result.

Parameters

  slot | A callback slot to call after the resolution completes.

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next_finish | ( | const Glib::RefPtr< AsyncResult >& | result | ) |

Retrieves the result of a completed call to g_socket_address_enumerator_next_async().

See g_socket_address_enumerator_next() for more information about error handling.

Parameters

  result | A AsyncResult.

Returns
  A SocketAddress (owned by the caller), or `0` on error (in which case* error will be set) or if there are no more addresses.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SocketAddressEnumerator > wrap | ( | GSocketAddressEnumerator * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.